SAPSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.packagedapp.mysap.SAPSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.packagedapp.mysap
Interface SAPSystem

All Superinterfaces:
  Application, ConfigurationItem, ITSystem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SAPSystem

extends Application

Naming Rules:
  0="SAPSystemSID,systemHome" 1="managedSystemName"
Persistable:
  true
Top Level:
  true
Display Name:
  SAPSystemSID,systemHome

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.Application
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBasisVersion()`
`SAPComponent[]` | `getDeployedComponents()`
`java.lang.String` | `getSAPSystemSID()`
`java.lang.String` | `getSAPSystemType()`
`java.lang.String` | `getSystemHome()`
`boolean` | `hasBasisVersion()`
`boolean` | `hasDeployedComponents()`
`boolean` | `hasSAPSystemSID()`
`boolean` | `hasSAPSystemType()`
`boolean` | `hasSystemHome()`
`void` | `setBasisVersion(java.lang.String basisVersion)`
`void` | `setDeployedComponents(SAPComponent[] deployedComponents)`
`void` | `setSAPSystemSID(java.lang.String sid)`
`void` | `setSAPSystemType(java.lang.String systemType)`
`void` | `setSystemHome(java.lang.String dbHostName)`

Methods inherited from interface com.collation.platform.model.topology.app.Application
`getAppDef, getAppDescriptors, getAppVersion, getGroups, getInstallationNumber, getLicenseExpiryDate, getVendor, hasAppDef, hasAppDescriptors, hasAppVersion, hasGroups, hasInstallationNumber, hasLicenseExpiryDate, hasVendor, setAppDef, setAppDescriptors, setAppVersion, setGroups, setInstallationNumber, setLicenseExpiryDate, setVendor`

Methods inherited from interface com.collation.platform.model.topology.sys.ITSystem
`getComponents, getContact, getContainingSystem, getName, getURL, hasComponents, hasContact, hasContainingSystem, hasName, hasURL, setComponents, setContact, setContainingSystem, setName, setURL`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getSAPSystemSID

    java.lang.String getSAPSystemSID()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSAPSystemSID

    void setSAPSystemSID(java.lang.String sid)

### hasSAPSystemSID

    boolean hasSAPSystemSID()

### getSystemHome

    java.lang.String getSystemHome()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSystemHome

    void setSystemHome(java.lang.String dbHostName)

### hasSystemHome

    boolean hasSystemHome()

### getSAPSystemType

    java.lang.String getSAPSystemType()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSAPSystemType

    void setSAPSystemType(java.lang.String systemType)

### hasSAPSystemType

    boolean hasSAPSystemType()

### getBasisVersion

    java.lang.String getBasisVersion()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBasisVersion

    void setBasisVersion(java.lang.String basisVersion)

### hasBasisVersion

    boolean hasBasisVersion()

### getDeployedComponents

    SAPComponent[] getDeployedComponents()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Containment Relationship:
    true

### setDeployedComponents

    void setDeployedComponents(SAPComponent[] deployedComponents)

### hasDeployedComponents

    boolean hasDeployedComponents()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD